<%@ page language="VB" masterpagefile="~/Template/Master.master" autoeventwireup="false" inherits="HelpDesk_AdminUserListing, MachSol.MachPanel.Web" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CPH_Content" Runat="Server">

    <script type="module">

        import { createApp } from 'vue'
        import AdminUserListing from '/Components/HelpDesk/AdminUserListing.js?v=3.6'
        import { getLabelText } from '/Components/Common/utils.js?v=3.6'

        createApp({
            data() {
                return {
                    readOnly: <%= Helper.ReadOnlyRole %>,
                    sortPreference: <%= Newtonsoft.Json.JsonConvert.SerializeObject(InitialSortPreference) %>,
                }
            },
            methods: {
                getLabelText
            },
            created: function () {
                let urlParams = new URLSearchParams(window.location.search);
                
                if (urlParams.has('EAU_M')) {
                    if (urlParams.get('EAU_M') == '1')
                        displaySuccessMsg(this.getLabelText('EGN0000011'));
                    else if (urlParams.get('EAU_M') == '0')
                        displayErrorMsg(Error(this.getLabelText('EGN0000001')));
                }
                if (urlParams.has('AAU_M')) {
                    if (urlParams.get('AAU_M') == '1')
                        displaySuccessMsg(this.getLabelText('EGN0000011'));
                    else if (urlParams.get('AAU_M') == '0')
                        displayErrorMsg(Error(this.getLabelText('EGN0000001')));
                }
                if (urlParams.has('E')) {
                    displayErrorMsg(Error(this.getLabelText('DGN1119983')));
                }
            },
            components: {
                AdminUserListing
            },
            template: `

                    <AdminUserListing :readOnly="readOnly" :sortPreference="sortPreference" />
`
        }).mount('#app')

    </script>

    <div id="app">
    </div>

</asp:Content>
